## tiny-initramfs 0.1

=== debian/changelog ===
tiny-initramfs (0.1-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Adjust PKGLIBEXECDIR in mktirfs to match the move to /usr/libexec
    implemented in the previous upload, fixing failure to copy init-static
    (or init-debug-static in debug mode). Thanks for the report, Michael
    Krylov!
    Closes: #1092851

 -- Cyril Brulebois <kibi@debian.org>  Tue, 14 Jan 2025 02:19:24 +0100

tiny-initramfs (0.1-6) unstable; urgency=medium

  * Team upload

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * Fix watch file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Change priority extra to priority optional.
  * Remove field Priority on binary package tiny-initramfs that duplicates
    source.
  * Installation to /usr/libexec
  * Add Victor Westerhuis who filed ITS as Uploader
    Closes: #1063904

  [ Victor Westerhuis ]
  * Run hook scripts in /etc/initramfs/post-update.d
    Closes: #1018290

  [ Michael Krylov ]
  * Make tirfs able to resume from hibernation
    Closes: #983121

  [ MichaIng ]
  * Skip initrd generation if not needed by kernel

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jan 2025 21:05:00 +0100

tiny-initramfs (0.1-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * Decompress kernel modules included in initramfs. (Closes: #1063142)

 -- Victor Westerhuis <victor@westerhu.is>  Sun, 11 Feb 2024 11:48:39 +0100

tiny-initramfs (0.1-5) unstable; urgency=medium

  [ Free Ekanayaka ]
  * Special case block device detection for btrfs (Closes: #875563)

 -- Christian Seiler <christian@iwakd.de>  Tue, 12 Sep 2017 17:49:40 +0200

tiny-initramfs (0.1-4) unstable; urgency=medium

  * Add Depends: cpio to tiny-initramfs-core. (Closes: #869668)

 -- Christian Seiler <christian@iwakd.de>  Tue, 25 Jul 2017 18:59:30 +0200

tiny-initramfs (0.1-3) unstable; urgency=medium

  * debian/control: enable Vcs-Git/Vcs-Browser fields.
  * Update to debhelper 10 compat.
  * Bump Standards-Version to 3.9.8 (no changes).
  * Add Built-Using header to binary packages.
  * Build-Depend on dietlibc-dev on all platforms again.
  * Use iucode_tool for adding Intel microcode to the initramfs.
    (Closes: #840255)
  * Bump Build-Depends on dietlibc-dev to version 0.33 or higher.
    (Closes: #845937)
  * Drop patch working around FTBFS on s390x with older dietlibc versions.

 -- Christian Seiler <christian@iwakd.de>  Mon, 28 Nov 2016 00:43:01 +0100

tiny-initramfs (0.1-2) unstable; urgency=medium

  * Cherry-pick upstream typo fix.
    Thanks to Jakub Wilk
  * Fix FTBFS on s390x.
  * Bump Standards-Version (no changes)
  * Build against musl on arm64 (dietlibc not available there)
  * Mark binary:tiny-initramfs Priority: extra

 -- Christian Seiler <christian@iwakd.de>  Sun, 28 Feb 2016 12:14:40 +0100

tiny-initramfs (0.1-1) unstable; urgency=low

  * Initial release (Closes: #811448)

 -- Christian Seiler <christian@iwakd.de>  Wed, 27 Jan 2016 00:01:31 +0100
