=== debian/control ===
Source: tiny-initramfs
Section: utils
Priority: optional
Maintainer: Christian Seiler <christian@iwakd.de>
Uploaders: Victor Westerhuis <victor@westerhu.is>
Build-Depends: debhelper-compat (= 13),
               dietlibc-dev
Standards-Version: 4.7.0
Homepage: https://github.com/chris-se/tiny-initramfs/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/tiny-initramfs.git
Vcs-Browser: https://salsa.debian.org/debian/tiny-initramfs

Package: tiny-initramfs
Architecture: all
Provides: linux-initramfs-tool
Depends: ${misc:Depends},
 tiny-initramfs-core (>= ${binary:Version}),
 tiny-initramfs-core (<< ${binary:Version}+b+~)
Conflicts: initramfs-tools, live-tools, dracut
Description: Minimalistic initramfs implementation (automation)
 This package builds a bootable initramfs for Linux kernel packages.
 The initramfs is loaded along with the kernel and is responsible for
 mounting the root filesystem and starting the main init system.

Package: tiny-initramfs-core
Architecture: linux-any
Multi-Arch: foreign
Depends: cpio, xz-utils, ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${Built-Using}
Description: Minimalistic initramfs implementation (core tools)
 A very minimalistic initramfs implementation for booting Linux
 systems. It is designed for systems where a full initramfs (such as
 dracut or initramfs-tools) is too large, but where at least some
 functionality of an initramfs (e.g. mounting the /usr filesystem) is
 required. Without kernel modules it is less than 16 kiB in size.
 .
 tiny-initramfs has less features and is less extensible than
 full-fledged initramfs implementations, and supports only specific use
 cases.
 .
 This package contains the init binary as well as the mktirfs script
 that may be used to create working initramfs images, while not
 replacing the initramfs implementation used on the current system.
