=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,pgpsigurlmangle=s/$/.asc/" \
   https://github.com/chris-se/tiny-initramfs/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
